%define name	gdisk
%define version 0.8.1
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	An fdisk-like partitioning tool for GPT disks
License:	GPLv2
Group:		System/Configuration/Hardware
URL:		http://www.rodsbooks.com/gdisk
Source0:	http://www.rodsbooks.com/%{name}/gptfdisk-%{version}.tar.gz

BuildRequires:	libicu-devel
Buildrequires: 	libuuid-devel
Buildrequires: 	libpopt-devel
BuildRequires:	ncurses-devel

%description
An fdisk-like partitioning tool for GPT disks. GPT
fdisk features a command-line interface, fairly direct
manipulation of partition table structures, recovery
tools to help you deal with corrupt partition tables,
and the ability to convert MBR disks to GPT format.


%prep
%setup -q -n gptfdisk-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_CXX_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -Dp -m0755 gdisk $RPM_BUILD_ROOT/%{_sbindir}
install -Dp -m0755 sgdisk $RPM_BUILD_ROOT/%{_sbindir}
install -Dp -m0644 gdisk.8 $RPM_BUILD_ROOT/%{_mandir}/man8/gdisk.8
install -Dp -m0644 sgdisk.8 $RPM_BUILD_ROOT/%{_mandir}/man8/sgdisk.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root -)
%doc NEWS COPYING README
%{_sbindir}/gdisk
%{_sbindir}/sgdisk
%doc %{_mandir}/man8/*




%changelog

* Fri Oct 28 2011 tmb <tmb> 0.8.1-2.mga2
+ Revision: 159168
- own manpage, not man dir
- add BR: ncurses-devel
- update to 0.8.1

* Sat Jul 09 2011 dams <dams> 0.7.2-1.mga2
+ Revision: 120731
- update to 0.7.2
- clean BR

* Mon Mar 14 2011 andre999 <andre999> 0.6.14-1.mga1
+ Revision: 71350
- imported package gdisk


* Wed Mar 9 2011 andre999 <andre999@mageia.org> - 0.6.14-1mga
- Imported from upstream srpm

* Sat Jan 8 2011 R Smith <rodsmith@rodsbooks.com> - 0.6.14
- Created spec file for 0.6.14 release
